Index: configure.ac
diff -Nau configure.ac.orig configure.ac
--- configure.ac.orig	2005-01-11 19:48:28 +0100
+++ configure.ac	2005-01-11 19:59:30 +0100
@@ -136,8 +136,14 @@
 
 AC_ARG_WITH(isqlxx,
 [  --with-isqlxx           Build isql++ [default=no]],
-with_isqlxx=yes,
-with_isqlxx=no)
+[
+if test "x$withval" = "xno"
+then
+	with_isqlxx=no
+else
+	with_isqlxx=yes
+fi
+])
 
 AC_MSG_RESULT($with_isqlxx)
 
@@ -198,14 +204,19 @@
 AC_ARG_WITH(qt,
 [  --with-qt[=PREFIX]      Use QT installed in DIR],
 [
-enable_qt=yes
 if test "x$withval" = "xyes"
 then
+	enable_qt=yes
 	if test "x$QTDIR" != "x"
 	then
 		qt_prefix="$QTDIR"
 	fi
+elif test "x$withval" = "xno"
+then
+	enable_qt=no
+	qt_prefix=
 else
+	enable_qt=yes
 	qt_prefix="$withval"
 fi
 ])
Index: configure
diff -Nau configure.orig configure
--- configure.orig	2005-01-11 20:08:17 +0100
+++ configure	2005-01-11 20:10:03 +0100
@@ -11203,9 +11203,13 @@
 # Check whether --with-isqlxx or --without-isqlxx was given.
 if test "${with_isqlxx+set}" = set; then
   withval="$with_isqlxx"
-  with_isqlxx=yes
+
+if test "x$withval" = "xno"
+then
+	with_isqlxx=no
 else
-  with_isqlxx=no
+	with_isqlxx=yes
+fi
 fi;
 
 echo "$as_me:$LINENO: result: $with_isqlxx" >&5
@@ -11635,14 +11639,19 @@
 if test "${with_qt+set}" = set; then
   withval="$with_qt"
 
-enable_qt=yes
 if test "x$withval" = "xyes"
 then
+	enable_qt=yes
 	if test "x$QTDIR" != "x"
 	then
 		qt_prefix="$QTDIR"
 	fi
+elif test "x$withval" = "xno"
+then
+	enable_qt=no
+	qt_prefix=
 else
+	enable_qt=yes
 	qt_prefix="$withval"
 fi
 
